Gr_modtool make error

I had tried to make eneable qpsk at grc blocks but it is gives errors at
the end, what is problemlem anybody to help?
not: i had downloaded qpsk.py from
http://gnuradio.org/redmine/projects/gnuradio/repository/revisions/73ccc57f0f8c25162b8a3410e8a9e59c9e824a45/entry/gr-digital/python/qpsk.py

[email protected]:~$ cd gr-myQpsk
[email protected]:~/gr-myQpsk$ gr_modtool.py add
Operating in directory .
GNU Radio module name identified: myQpsk
Enter code type: hier
Language: C++
Enter name of block/code (without module name prefix): QPSK
Block/code identifier: QPSK
Enter valid argument list, including default arguments: VAL1,VAL2
Add Python QA code? [Y/n] Y
Add C++ QA code? [Y/n] Y
Traversing lib…
Adding file ‘QPSK_impl.h’…
Adding file ‘QPSK_impl.cc’…
Adding file ‘QPSK.h’…
Adding file ‘qa_QPSK.cc’…
Adding file ‘qa_QPSK.h’…
Traversing swig…
Editing swig/myQpsk_swig.i…
Adding Python QA…
Adding file ‘qa_QPSK.py’…
Editing python/CMakeLists.txt…
Traversing grc…
Adding file ‘myQpsk_QPSK.xml’…
Editing grc/CMakeLists.txt…
[email protected]:~/gr-myQpsk$ mkdir build
[email protected]:~/gr-myQpsk$ cd build
[email protected]:~/gr-myQpsk/build$ cmake …/
– The CXX compiler identification is GNU 4.7.2
– The C compiler identification is GNU 4.7.2
– Check for working CXX compiler: /usr/bin/c++
– Check for working CXX compiler: /usr/bin/c++ – works
– Detecting CXX compiler ABI info
– Detecting CXX compiler ABI info - done
– Check for working C compiler: /usr/bin/gcc
– Check for working C compiler: /usr/bin/gcc – works
– Detecting C compiler ABI info
– Detecting C compiler ABI info - done
– Build type not specified: defaulting to release.
– Boost version: 1.49.0
– Found the following Boost libraries:
– filesystem
– system
– Found PkgConfig: /usr/bin/pkg-config (found version “0.26”)
– checking for module ‘gruel’
– found gruel, version 3.6.4git
– Found GRUEL: /usr/local/lib/libgruel.so
– checking for module ‘gnuradio-core’
– found gnuradio-core, version 3.6.4git
– Found GNURADIO_CORE: /usr/local/lib/libgnuradio-core.so
– checking for module ‘cppunit’
– found cppunit, version 1.12.1
– Found CPPUNIT: /usr/lib/libcppunit.so;dl
– Found SWIG: /usr/bin/swig2.0 (found version “2.0.7”)
– Found PythonLibs: /usr/lib/python3.2/config/libpython3.2.so (found
version “2.7.3”)
– Found PythonInterp: /usr/bin/python (found version “2.7.3”)
– Found Doxygen: /usr/bin/doxygen (found version “1.8.1.2”)
– Configuring done
– Generating done
– Build files have been written to: /home/bynkln/gr-myQpsk/build
[email protected]:~/gr-myQpsk/build$ make
Scanning dependencies of target gnuradio-myQpsk
[ 5%] Building CXX object
lib/CMakeFiles/gnuradio-myQpsk.dir/QPSK_impl.cc.o
In file included from /home/bynkln/gr-myQpsk/lib/QPSK_impl.h:24:0,
from /home/bynkln/gr-myQpsk/lib/QPSK_impl.cc:26:
/home/bynkln/gr-myQpsk/include/myQpsk/QPSK.h:49:25: error: ‘VAL1’ has
not been declared
/home/bynkln/gr-myQpsk/include/myQpsk/QPSK.h:49:30: error: ‘VAL2’ has
not been declared
In file included from /home/bynkln/gr-myQpsk/lib/QPSK_impl.cc:26:0:
/home/bynkln/gr-myQpsk/lib/QPSK_impl.h:35:21: error: expected ‘)’ before
‘,’ token
/home/bynkln/gr-myQpsk/lib/QPSK_impl.cc:32:16: error:
‘gr::myQpsk::QPSK::sptr gr::myQpsk::QPSK::make’ is not a static member
of ‘class gr::myQpsk::QPSK’
/home/bynkln/gr-myQpsk/lib/QPSK_impl.cc:32:16: error: ‘VAL1’ was not
declared in this scope
/home/bynkln/gr-myQpsk/lib/QPSK_impl.cc:32:21: error: ‘VAL2’ was not
declared in this scope
/home/bynkln/gr-myQpsk/lib/QPSK_impl.cc:33:5: error: expected ‘,’ or ‘;’
before ‘{’ token
/home/bynkln/gr-myQpsk/lib/QPSK_impl.cc:40:25: error: expected
constructor, destructor, or type conversion before ‘(’ token
make[2]: *** [lib/CMakeFiles/gnuradio-myQpsk.dir/QPSK_impl.cc.o] Error 1
make[1]: *** [lib/CMakeFiles/gnuradio-myQpsk.dir/all] Error 2
make: *** [all] Error 2

please any help, it is urgent for me…

come on!! anybody to help?

Enter valid argument list, including default arguments: VAL1,VAL2
you haven’t declared their types for example, int VAL1, int VAL2

Nahla K. wrote in post #1100914:

Enter valid argument list, including default arguments: VAL1,VAL2
you haven’t declared their types for example, int VAL1, int VAL2

I have declared values but it doesnt look like from there (values was:
int val1, double val2=0 as example at the declaration of hier example.)

is there any help for this subject?

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs